| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IDataStreamTool Class Reference

`#include <GaudiKernel/IDataStreamTool.h>`

Inheritance diagram for IDataStreamTool:

[legend]
Collaboration diagram for IDataStreamTool:

[legend]
List of all members.

## Detailed Description

Author:
  Andres Felipe Osorio Oliveros

Author:
  Marco Clemencic

Date:
  2006-09-21

Definition at line 25 of file IDataStreamTool.h.

## Public Types
typedef std::vector< std::string > | StreamSpecs
typedef long | size_type
## Public Member Functions
virtual StatusCode | initializeStream (EventSelectorDataStream *)=0
virtual StatusCode | finalizeStream (EventSelectorDataStream *)=0
virtual StatusCode | getNextStream (const EventSelectorDataStream *&, size_type &)=0
virtual StatusCode | getPreviousStream (const EventSelectorDataStream *&, size_type &)=0
virtual StatusCode | addStream (const std::string &)=0
virtual StatusCode | addStreams (const StreamSpecs &)=0
virtual StatusCode | eraseStream (const std::string &)=0
virtual EventSelectorDataStream * | getStream (size_type)=0
virtual EventSelectorDataStream * | getStream (const std::string &)=0
virtual EventSelectorDataStream * | lastStream ()=0
virtual size_type | size ()=0
virtual StatusCode | clear ()=0
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.
## Protected Member Functions
virtual StatusCode | createSelector (const std::string &, const std::string &, IEvtSelector *&)=0
virtual StatusCode | createStream (const std::string &, const std::string &, EventSelectorDataStream *&)=0

## Member Typedef Documentation

typedef std::vector<std::string> IDataStreamTool::StreamSpecs

Definition at line 28 of file IDataStreamTool.h.

typedef long IDataStreamTool::size_type

Definition at line 29 of file IDataStreamTool.h.

## Member Function Documentation

static const InterfaceID& IDataStreamTool::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IAlgTool.

Definition at line 32 of file IDataStreamTool.h.

References IID_IDataStreamTool.

    00032 { return IID_IDataStreamTool; }

virtual StatusCode IDataStreamTool::initializeStream | ( | EventSelectorDataStream * |  | ) | `[pure virtual]`

Implemented in DataStreamTool.

virtual StatusCode IDataStreamTool::finalizeStream | ( | EventSelectorDataStream * |  | ) | `[pure virtual]`

Implemented in DataStreamTool.

virtual StatusCode IDataStreamTool::getNextStream | ( | const EventSelectorDataStream *& | ,
|  | size_type & |  |
| ) |  |  | `[pure virtual]`

Referenced by EventSelector::firstOfNextStream().

virtual StatusCode IDataStreamTool::getPreviousStream | ( | const EventSelectorDataStream *& | ,
|  | size_type & |  |
| ) |  |  | `[pure virtual]`

Referenced by EventSelector::lastOfPreviousStream().

virtual StatusCode IDataStreamTool::addStream | ( | const std::string & |  | ) | `[pure virtual]`

Implemented in DataStreamTool.

virtual StatusCode IDataStreamTool::addStreams | ( | const StreamSpecs & |  | ) | `[pure virtual]`

Referenced by EventSelector::initialize(), and EventSelector::reinitialize().

virtual StatusCode IDataStreamTool::eraseStream | ( | const std::string & |  | ) | `[pure virtual]`

Implemented in DataStreamTool.

virtual EventSelectorDataStream* IDataStreamTool::getStream | ( | size_type |  | ) | `[pure virtual]`

Referenced by EventSelector::createAddress(), EventSelector::firstOfNextStream(), EventSelector::lastOfPreviousStream(), EventSelector::next(), EventSelector::previous(), and EventSelector::releaseContext().

virtual EventSelectorDataStream* IDataStreamTool::getStream | ( | const std::string & |  | ) | `[pure virtual]`

Implemented in DataStreamTool.

virtual EventSelectorDataStream* IDataStreamTool::lastStream | ( |  | ) | `[pure virtual]`

Implemented in DataStreamTool.

virtual size_type IDataStreamTool::size | ( |  | ) | `[pure virtual]`

Implemented in DataStreamTool.

Referenced by EventSelector::firstOfNextStream(), EventSelector::lastOfPreviousStream(), and EventSelector::releaseContext().

virtual StatusCode IDataStreamTool::clear | ( |  | ) | `[pure virtual]`

Implemented in DataStreamTool.

Referenced by EventSelector::reinitialize().

virtual StatusCode IDataStreamTool::createSelector | ( | const std::string & | ,
|  | const std::string & | ,
|  | IEvtSelector *& |  |
| ) |  |  | `[protected, pure virtual]`

Implemented in DataStreamTool.

virtual StatusCode IDataStreamTool::createStream | ( | const std::string & | ,
|  | const std::string & | ,
|  | EventSelectorDataStream *& |  |
| ) |  |  | `[protected, pure virtual]`

Implemented in DataStreamTool.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/IDataStreamTool.h